DrawingToolRequestorList (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.drawing
Class DrawingToolRequestorList

    java.lang.Object
      com.bbn.openmap.tools.drawing.DrawingToolRequestorList

All Implemented Interfaces:
  DrawingToolRequestor

    public class DrawingToolRequestorList

extends java.lang.Object
implements DrawingToolRequestor

Field Summary
`protected java.lang.String` | `name`
`protected java.util.Hashtable` | `table`

Constructor Summary
`DrawingToolRequestorList()`

Method Summary
`void` | `add(OMGraphic omg, DrawingToolRequestor dtr)`
`void` | `clear()`
`void` | `drawingComplete(OMGraphic omg, OMAction action)` The method where a graphic, and an action to take on the graphic, arrives.
`java.lang.String` | `getName()` Needed to fill in a GUI with a receiver's name, to enable the user to send a graphic to a specific object.
`void` | `remove(OMGraphic omg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### table

    protected java.util.Hashtable table

Constructor Detail

### DrawingToolRequestorList

    public DrawingToolRequestorList()

Method Detail

### add

    public void add(OMGraphic omg,
                    DrawingToolRequestor dtr)

### remove

    public void remove(OMGraphic omg)

### clear

    public void clear()

### drawingComplete

    public void drawingComplete(OMGraphic omg,
                                OMAction action)

  The method where a graphic, and an action to take on the graphic, arrives.

  Specified by:
    `drawingComplete` in interface `DrawingToolRequestor`

### getName

    public java.lang.String getName()

  Needed to fill in a GUI with a receiver's name, to enable the user to send a graphic to a specific object. Should be a pretty name, suitable to let a user know what it is. It's important that the requestor have a name, because that could be the key that is used in some GUI components.

  Specified by:
    `getName` in interface `DrawingToolRequestor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details